GET/projects/api/v3/reporting/log/{scheduleId}.json

Get the schedule log for a scheduled report.

Returns the delivery history for a given report schedule, with optional side-loaded recipient logs, users, and the upcoming planned occurrence.

Path Params

  • Name
    scheduleId
    Type
    integer
    required
    Description

Query Params

  • Name
    scheduleId
    Type
    integer
    Description

    filter by schedule id

  • Name
    pageSize
    Type
    integer
    Description

    page size

  • Name
    minId
    Type
    integer
    Description

    min id

  • Name
    maxId
    Type
    integer
    Description

    max id

  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • recipientLog

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    ResponseScheduleLog represents a report schedule log response.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Type
    object
    Schema
    Description
    404 Not Found
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

ResponseScheduleLog
{
  "included": {
    "users": {
      "additionalProp": {
        "avatarUrl": "string",
        "canAccessPortfolio": true,
        "canAddProjects": true,
        "canManagePortfolio": true,
        "company": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "companyId": 0,
        "companyRoleId": 0,
        "createdAt": "string",
        "createdBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "deleted": true,
        "email": "string",
        "firstName": "string",
        "id": 0,
        "isAdmin": true,
        "isClientUser": true,
        "isPlaceholderResource": true,
        "isServiceAccount": true,
        "jobRoles": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "lastLogin": "string",
        "lastName": "string",
        "lengthOfDay": 0,
        "meta": {},
        "skills": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "teams": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "timezone": "string",
        "title": "string",
        "type": "string",
        "updatedAt": "string",
        "updatedBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "userCost": 0,
        "userRate": 0,
        "userRates": {
          "additionalProp": {
            "amount": 0,
            "currency": {
              "id": 0,
              "meta": {},
              "type": "string"
            }
          }
        },
        "workingHour": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "workingHoursId": 0
      }
    }
  },
  "logs": [
    {
      "date": "string",
      "deliveryStats": {
        "failure": 0,
        "success": 0
      },
      "downloadUrl": "string",
      "failedRecipientIds": [
        {
          "id": 0,
          "meta": {},
          "type": "string"
        }
      ],
      "id": 0,
      "plannedRecipientIds": [
        {
          "id": 0,
          "meta": {},
          "type": "string"
        }
      ],
      "status": "string",
      "successfulRecipientIds": [
        {
          "id": 0,
          "meta": {},
          "type": "string"
        }
      ],
      "type": "string"
    }
  ],
  "recipientLogs": [
    {
      "file": "string",
      "id": 0,
      "scheduleLog": {
        "id": 0,
        "meta": {},
        "type": "string"
      },
      "scheduleLogId": 0,
      "type": "string"
    }
  ]
}